Index: extensions/exif_view/language/fr_FR/lang.exif.php
===================================================================
--- extensions/exif_view/language/fr_FR/lang.exif.php	(revision 4660)
+++ extensions/exif_view/language/fr_FR/lang.exif.php	(revision 4664)
@@ -9,44 +9,44 @@
 
 $lang['exif_field_Contrast'] = 'Contraste';
-$lang['exif_field_DateTimeOriginal'] = 'Date d\'origine';
+$lang['exif_field_DateTimeOriginal'] = 'Date et heure (originel)';
 $lang['exif_field_DigitalZoomRatio'] = 'Digital Zoom';
 $lang['exif_field_ExifVersion'] = 'EXIF';
-$lang['exif_field_ExposureBiasValue'] = 'Exposure compensation';
-$lang['exif_field_ExposureMode'] = 'Exposure Mode';
-$lang['exif_field_ExposureProgram'] = 'Exposure Program';
-$lang['exif_field_ExposureTime'] = 'Exposure Time';
-$lang['exif_field_FNumber'] = 'Aperture Number';
+$lang['exif_field_ExposureBiasValue'] = 'Compensation d\'exposition';
+$lang['exif_field_ExposureMode'] = 'Mode d\'exposition';
+$lang['exif_field_ExposureProgram'] = 'Programme d\'exposition';
+$lang['exif_field_ExposureTime'] = 'Durée d\'exposition';
+$lang['exif_field_FNumber'] = 'Ouverture';
 $lang['exif_field_Flash'] = 'Flash';
-$lang['exif_field_FocalLength'] = 'Focal Length';
-$lang['exif_field_FocalLengthIn35mmFilm'] = 'Focal Length in 35mm Film';
+$lang['exif_field_FocalLength'] = 'Longueur de focale';
+$lang['exif_field_FocalLengthIn35mmFilm'] = 'Longueur de focale en équivalent 35mm';
 $lang['exif_field_ISOSpeedRatings'] = 'ISO';
 $lang['exif_field_LightSource'] = 'Light Source';
 $lang['exif_field_Make'] = 'FR Maker';
-$lang['exif_field_MeteringMode'] = 'Exposure Metering Mode';
-$lang['exif_field_Model'] = 'Model';
+$lang['exif_field_MeteringMode'] = 'Mode posemètre';
+$lang['exif_field_Model'] = 'Modèle';
 $lang['exif_field_Saturation'] = 'Saturation';
-$lang['exif_field_Sharpness'] = 'Sharpness';
-$lang['exif_field_Software'] = 'EXIF software';
-$lang['exif_field_WhiteBalance'] = 'White Balancing';
-$lang['exif_value_contrast_hard'] = 'hard';
+$lang['exif_field_Sharpness'] = 'Netteté';
+$lang['exif_field_Software'] = 'Logiciel d\'EXIF';
+$lang['exif_field_WhiteBalance'] = 'Balance des blancs';
+$lang['exif_value_contrast_hard'] = 'dur';
 $lang['exif_value_contrast_normal'] = 'normal';
-$lang['exif_value_contrast_soft'] = 'soft';
-$lang['exif_value_exposure_mode_auto'] = 'auto';
-$lang['exif_value_exposure_mode_auto_bracket'] = 'auto bracket';
-$lang['exif_value_exposure_mode_manual'] = 'manual';
+$lang['exif_value_contrast_soft'] = 'doux';
+$lang['exif_value_exposure_mode_auto'] = 'automatique';
+$lang['exif_value_exposure_mode_auto_bracket'] = 'bracketting automatique';
+$lang['exif_value_exposure_mode_manual'] = 'manuel';
 $lang['exif_value_exposure_program_action'] = 'action';
-$lang['exif_value_exposure_program_aperture'] = 'aprture priroty';
-$lang['exif_value_exposure_program_creative'] = 'creative';
-$lang['exif_value_exposure_program_landscape'] = 'landscape';
-$lang['exif_value_exposure_program_manual'] = 'manual';
+$lang['exif_value_exposure_program_aperture'] = 'priorité à l\'ouverture';
+$lang['exif_value_exposure_program_creative'] = 'créatif';
+$lang['exif_value_exposure_program_landscape'] = 'paysage';
+$lang['exif_value_exposure_program_manual'] = 'manuel';
 $lang['exif_value_exposure_program_normal'] = 'normal';
-$lang['exif_value_exposure_program_not_defined'] = 'not defined';
+$lang['exif_value_exposure_program_not_defined'] = 'non défini';
 $lang['exif_value_exposure_program_portrait'] = 'portrait';
-$lang['exif_value_exposure_program_shutter'] = 'shutter priority';
+$lang['exif_value_exposure_program_shutter'] = 'priorité obturation';
 $lang['exif_value_flash_mode'] = 'mode';
-$lang['exif_value_flash_mode_auto'] = 'auto';
-$lang['exif_value_flash_mode_compulsory'] = 'compulsory';
-$lang['exif_value_flash_mode_supress'] = 'supressed';
-$lang['exif_value_flash_mode_unknown'] = 'unknown';
+$lang['exif_value_flash_mode_auto'] = 'automatique';
+$lang['exif_value_flash_mode_compulsory'] = 'obligatoire';
+$lang['exif_value_flash_mode_supress'] = 'supprimé';
+$lang['exif_value_flash_mode_unknown'] = 'indéterminé';
 $lang['exif_value_flash_return_light_detected'] = 'return light detected';
 $lang['exif_value_flash_return_light_not_detected'] = 'return light not detected';
@@ -55,37 +55,37 @@
 $lang['exif_value_light_source_D65'] = 'D65';
 $lang['exif_value_light_source_D75'] = 'D75';
-$lang['exif_value_light_source_cloudy_weather'] = 'cloudy weather';
-$lang['exif_value_light_source_coolwhite_fluorescent_w'] = 'cool white (W 3900 – 4500K)';
-$lang['exif_value_light_source_daylight'] = 'day light';
-$lang['exif_value_light_source_daylight_fluorescent_d'] = 'day light fluorescent (D 5700 – 7100K)';
-$lang['exif_value_light_source_daywhite_fluorescent_n'] = 'day white fluorescent (N 4600 – 5400K)';
-$lang['exif_value_light_source_fine_weather'] = 'fine weather';
+$lang['exif_value_light_source_cloudy_weather'] = 'nuageux';
+$lang['exif_value_light_source_coolwhite_fluorescent_w'] = 'blanc doux (W 3900 – 4500K)';
+$lang['exif_value_light_source_daylight'] = 'lumière du jour';
+$lang['exif_value_light_source_daylight_fluorescent_d'] = 'fluorescent lumière du jour (D 5700 – 7100K)';
+$lang['exif_value_light_source_daywhite_fluorescent_n'] = 'fluorescent lumière du jour (N 4600 – 5400K)';
+$lang['exif_value_light_source_fine_weather'] = 'beau temps';
 $lang['exif_value_light_source_flash'] = 'flash';
 $lang['exif_value_light_source_fluorescent'] = 'fluorescent';
-$lang['exif_value_light_source_iso_studio_tungsten'] = 'ISO stuido tungsten';
-$lang['exif_value_light_source_other'] = 'other';
-$lang['exif_value_light_source_shade'] = 'shade';
-$lang['exif_value_light_source_standard_light_a'] = 'standard light A';
-$lang['exif_value_light_source_standard_light_b'] = 'standard light B';
-$lang['exif_value_light_source_standard_light_c'] = 'standard light C';
-$lang['exif_value_light_source_tungsten'] = 'tungsten';
-$lang['exif_value_light_source_unknown'] = 'unknown';
-$lang['exif_value_light_source_white_fluorescent'] = 'white fluorescent (WW 3200 – 3700K)';
-$lang['exif_value_metering_mode_CenterWeightedAVG'] = 'averaged center';
-$lang['exif_value_metering_mode_average'] = 'average';
-$lang['exif_value_metering_mode_multispot'] = 'multispot';
-$lang['exif_value_metering_mode_partial'] = 'partial';
-$lang['exif_value_metering_mode_pattern'] = 'pattern';
+$lang['exif_value_light_source_iso_studio_tungsten'] = 'tungstène ISO studio';
+$lang['exif_value_light_source_other'] = 'autre';
+$lang['exif_value_light_source_shade'] = 'ombre';
+$lang['exif_value_light_source_standard_light_a'] = 'standard lumière A';
+$lang['exif_value_light_source_standard_light_b'] = 'standard lumière B';
+$lang['exif_value_light_source_standard_light_c'] = 'standard lumière C';
+$lang['exif_value_light_source_tungsten'] = 'tungstène';
+$lang['exif_value_light_source_unknown'] = 'inconnue';
+$lang['exif_value_light_source_white_fluorescent'] = 'blanc fluorescent (WW 3200 – 3700K)';
+$lang['exif_value_metering_mode_CenterWeightedAVG'] = 'moyenne à prépondérance centrale';
+$lang['exif_value_metering_mode_average'] = 'moyenne';
+$lang['exif_value_metering_mode_multispot'] = 'multispots';
+$lang['exif_value_metering_mode_partial'] = 'partiel';
+$lang['exif_value_metering_mode_pattern'] = 'modèle';
 $lang['exif_value_metering_mode_spot'] = 'spot';
-$lang['exif_value_metering_mode_unknown'] = 'unknown';
-$lang['exif_value_red_eye'] = 'red eye reduction';
-$lang['exif_value_saturation_hard'] = 'hard';
-$lang['exif_value_saturation_low'] = 'low';
-$lang['exif_value_saturation_normal'] = 'normal';
-$lang['exif_value_sharpness_hard'] = 'hard';
+$lang['exif_value_metering_mode_unknown'] = 'inconnue';
+$lang['exif_value_red_eye'] = 'correction yeux rouges';
+$lang['exif_value_saturation_hard'] = 'dure';
+$lang['exif_value_saturation_low'] = 'douce';
+$lang['exif_value_saturation_normal'] = 'normale';
+$lang['exif_value_sharpness_hard'] = 'dure';
 $lang['exif_value_sharpness_normal'] = 'normal';
-$lang['exif_value_sharpness_soft'] = 'soft';
-$lang['exif_value_white_balance_auto'] = 'auto';
-$lang['exif_value_white_balance_manual'] = 'manual';
+$lang['exif_value_sharpness_soft'] = 'douce';
+$lang['exif_value_white_balance_auto'] = 'automatique';
+$lang['exif_value_white_balance_manual'] = 'manuel';
 
 ?>