Index: /extensions/yoga/Borealis/BorealisPurple/extras/Lisez_moi.txt
===================================================================
--- /extensions/yoga/Borealis/BorealisPurple/extras/Lisez_moi.txt	(revision 4691)
+++ /extensions/yoga/Borealis/BorealisPurple/extras/Lisez_moi.txt	(revision 4691)
@@ -0,0 +1,23 @@
+#########################################
+##                                   BIENVENUE                                ##
+#########################################
+
+-------------------------------- Infos du thème -----------------------------
+
+
+Vous allez installer le thème : Boréalis Purple
+
+
+----------------------------- Dossier : ---------------------------
+
+Vous y trouverez:
+
+- Le psd du header.
+
+----------------------------- Font utilisée  ---------------------------
+
+- Pristina
+
+##############################################
+##                         @micalement Swan : Just For FuN                     ##
+##############################################
Index: /extensions/yoga/Borealis/BorealisPurple/fix-ie5-ie6.css
===================================================================
--- /extensions/yoga/Borealis/BorealisPurple/fix-ie5-ie6.css	(revision 4691)
+++ /extensions/yoga/Borealis/BorealisPurple/fix-ie5-ie6.css	(revision 4691)
@@ -0,0 +1,19 @@
+/* fix for IE */
+
+ul#fullTagCloud { height: 400px; }
+		
+* html #menubar, * html BODY#theAdminPage #menubar { height: 100%; }
+* html #menubar UL LI { float: left; width: 100%; }
+* html #menubar UL LI A { height: 1%; }
+
+/*
+FORM#quickconnect {
+  width: 15em;
+  padding: 0;
+  border-left: none;
+  border-right: none;
+}
+
+FORM#quickconnect LABEL {
+  white-space: nowrap;
+}*/
Index: /extensions/yoga/Borealis/BorealisPurple/icon/index.php
===================================================================
--- /extensions/yoga/Borealis/BorealisPurple/icon/index.php	(revision 4691)
+++ /extensions/yoga/Borealis/BorealisPurple/icon/index.php	(revision 4691)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/yoga/Borealis/BorealisPurple/mail-css.tpl
===================================================================
--- /extensions/yoga/Borealis/BorealisPurple/mail-css.tpl	(revision 4691)
+++ /extensions/yoga/Borealis/BorealisPurple/mail-css.tpl	(revision 4691)
@@ -0,0 +1,28 @@
+/* Theme mail css */
+/* for BorealisPurple */
+
+{literal}
+* { margin: 0; padding: 0; border: 0; }
+body {
+  font-size:0.7em; font-family: Verdana,Arial,Helvetica,sans-serif; color: black;
+  background: white;
+}
+#the_page {
+  background: white
+  url({pwg_root}template/{themeconf:template}/theme/{themeconf:theme}/img/background.jpg)
+  repeat-y left top;
+  position: absolute; left: 0px; top: 16px; width: 800px; }
+.content { background: transparent
+  url({pwg_root}template/{themeconf:template}/theme/{themeconf:theme}/img/header.jpg)
+  no-repeat left top;
+  padding-top: 200px; width: 800px; }
+#copyright {
+  background: transparent
+  url({pwg_root}template/{themeconf:template}/theme/{themeconf:theme}/img/footer.jpg)
+  no-repeat left bottom; width: 800px; }
+h2 {color:#06c;margin-top:1em;margin-left:-0.5em;}
+h2:before {content: "»»»";}
+img { margin:16px;padding:15px;border:1px solid #69c;background-color:#eef;-moz-border-radius:4px; border-radius:4px 4px; }
+img:hover {border: 1px solid #c60; -moz-border-radius:4px; border-radius:4px 4px; }
+a { color: #06c; background: transparent; }
+{/literal}
Index: /extensions/yoga/Borealis/BorealisPurple/menu.css
===================================================================
--- /extensions/yoga/Borealis/BorealisPurple/menu.css	(revision 4691)
+++ /extensions/yoga/Borealis/BorealisPurple/menu.css	(revision 4691)
@@ -0,0 +1,29 @@
+
+#menu {
+	background: url(img/menu.jpg) no-repeat center bottom;
+	height: 34px;
+	line-height:34px;
+}
+
+#menu ul {
+	list-style-type: none;
+	margin: 0;
+	padding: 0;
+	text-align: center;
+}
+
+#menu ul li { display: inline; padding: 1em; }
+
+#menu ul li a
+{
+	text-decoration: none;
+/*	padding: 15px 1em;*/
+	color: #fff;
+	text-transform:uppercase;
+	font-size:12px;
+	font-weight:bold;
+	letter-spacing:1px;
+}
+
+#menu ul li a:link { border: none; }
+#menu ul li a:hover { border-bottom:2px solid #FFFFFF; }
Index: /extensions/yoga/Borealis/BorealisPurple/theme.css
===================================================================
--- /extensions/yoga/Borealis/BorealisPurple/theme.css	(revision 4691)
+++ /extensions/yoga/Borealis/BorealisPurple/theme.css	(revision 4691)
@@ -0,0 +1,851 @@
+@import url(menu.css);
+
+* { margin: 0; padding: 0; border: 0; }
+
+body {
+background:#2f1130 url(img/bg.png) repeat-x scroll center top;
+font-family:Verdana,arial,Helvetica,sans-serif;
+font-size:0.7em;
+margin:0;
+padding:0;
+}
+
+.content h2 {
+-moz-border-radius-bottomleft:8px;
+-moz-border-radius-bottomright:8px;
+-moz-border-radius-topleft:8px;
+-moz-border-radius-topright:8px;
+background:transparent url(img/bg_title.png) repeat-x scroll 0 0;
+border:1px solid #000000;
+color:#000000;
+height:20px;
+margin-bottom:3px;
+margin-top:13px;
+padding:5px 3px 2px;
+}
+
+* { outline: none }
+
+/*=====================================
+            Common styles
+=====================================*/
+h2 {
+color:#000000; 
+border:1px solid #000000;
+-moz-border-radius:8px;
+-khtml-border-radius:8px;
+-webkit-border-radius:8px;
+padding:0;
+}
+
+h3 { 
+-moz-border-radius-bottomleft:8px;
+-moz-border-radius-bottomright:8px;
+-moz-border-radius-topleft:8px;
+-moz-border-radius-topright:8px;
+background:transparent url(img/bg_title.png) repeat-x scroll center top;
+border:1px solid #000000;
+color:#000000;
+font-size:0.85em;
+font-weight:bold;
+line-height:1.5em;
+padding:6px 42px;
+position:relative;
+text-transform:uppercase;
+top:0;
+vertical-align:middle;
+}
+
+h4
+{ color:#FFFFFF;
+font-size:120%;
+margin:0;
+padding:5px 0.5em;
+text-align:left; 
+}
+
+ul { list-style: none; }
+ul li { list-style: none; }
+
+a, a:link { 
+color:#000000; 
+text-decoration: none; 
+border:0; 
+}
+a:hover { 
+color:#000000;
+text-decoration: none; 
+
+}
+
+
+pre { overflow: auto; width: 100%; height: auto; }
+.left { float: left; }
+.right { float: right; }
+
+img{ border:4px double #FFFFFF; }
+img:hover{ border:4px double #000000; }
+img.title{ border:none; }
+
+/*=====================================
+               Stuffs
+=====================================*/
+.middle_block { width: auto !important; }
+
+/*=====================================
+            Infos Errors
+=====================================*/
+.infos, .errors {
+  margin: 20px;
+  height: 30px;
+}
+ 
+/*=====================================
+               Page
+=====================================*/
+body#thepicturepage,body#theCategorypage, body#theTagspage {}
+
+#the_page {
+	width: 1000px;
+	margin: -2px auto;
+	position: relative;
+	background: transparent url(img/global.png) repeat-y top center;
+}
+
+.content div.titrepage { padding: 10px 3px; }
+
+/*=====================================
+               Header
+=====================================*/
+#theHeader {
+	background: transparent url(img/header.png) no-repeat center bottom;
+height:211px;
+	margin: 0 auto;
+}
+
+#theHeader h1 { 
+color:#000000;
+font-size:24px;
+left:30px;
+margin:0 0 0 358px;
+position:absolute;
+text-align:left;
+top:132px;
+}
+
+#theHeader p {display:none;}
+
+.content, body#theadminpage .content, body#theTagspage .content {
+	width: 980px;
+	margin: 0 auto !important;
+}
+
+/*=====================================
+    Spécifique à la page des images
+=====================================*/
+
+#thepicturepage #theHeader {
+height:211px;
+}
+#thepicturepage #theHeader h1 { display: none; }
+
+/*=========================================================================================*/
+
+.row1 { background-color: #999;}
+.throw { background-color: #999;}
+
+/*=====================================
+            Page Catégories
+=====================================*/
+.comments_table{
+-moz-border-radius-bottomleft:12px;
+-moz-border-radius-bottomright:12px;
+-moz-border-radius-topleft:12px;
+-moz-border-radius-topright:12px;
+border:1px solid #000000;
+/*background:#DEBF81;margin:auto auto 30px;width:98%;*/
+font-size:0.85em;
+font-weight:bold;
+line-height:1.5em;
+padding:6px 42px;
+
+}
+
+.content div.thumbnailCategory { 
+	padding: 20px; 
+/*	text-align: center;    */
+}
+.content div.thumbnailCategory:hover {
+	border:1px solid #000000;
+	background:#dfefff url(img/content_index.png) no-repeat scroll center top;
+}
+.content ul.thumbnailCategories li { width:49.9%; }
+
+/*=====================================
+            Page Image
+=====================================*/
+
+#imageToolBar{
+-moz-border-radius-bottomleft:5px;
+-moz-border-radius-bottomright:5px;
+-moz-border-radius-topleft:5px;
+-moz-border-radius-topright:5px;
+background:#c588de none repeat scroll 0 0;
+border:1px solid #000000;
+height:32px;
+margin:10px auto;
+padding:5px;
+width:860px;
+}
+#imageHeaderBar{
+-moz-border-radius-bottomleft:5px;
+-moz-border-radius-bottomright:5px;
+-moz-border-radius-topleft:5px;
+-moz-border-radius-topright:5px;
+background:#c588de none repeat scroll 0 0;
+border:1px solid #000000;
+margin:10px auto;
+width:860px;
+}
+
+#theImage IMG {
+  padding: 5px;
+  border:1px solid #000000;
+}
+
+#imageHeaderBar H2 { 
+    color:#000000;
+	border: none;
+	clear: both;
+	padding: 0;
+	text-align: center;
+	padding: 0.5em 0 0 0;
+}
+#imageHeaderBar .browsepath a { color:#000000; text-decoration: none; }
+#imageHeaderBar .browsepath a:hover { color:#FFFFFF; }
+
+.infotable{ margin: 20px auto; }
+#linkPrev{ margin: 20px 0 0 20px; }
+#linkNext{ margin: 20px 20px 0 0;}
+a#thumbprev, a#thumbNext { text-decoration: none; border:0; }
+
+#addComment label { width: 100%; margin-top: 1em; }
+
+#menubar .button {
+border:medium none;
+float:right;
+list-style-image:none;
+list-style-position:outside;
+list-style-type:none;
+margin:-2px 2px 2px;
+padding:0;
+text-align:center;
+text-indent:0;
+width:auto;
+}
+
+/*=====================================
+            Commentaires
+=====================================*/
+
+#comments{ width: 860px; margin: 20px auto; }
+#comments div.comment blockquote { border: 1px solid #5f5f5f; border-left: 2px solid #696969; }
+
+fieldset, input, select, table.table2, #infos,
+.content div.comment  a.illustration IMG { 
+-moz-border-radius-bottomleft:3px;
+-moz-border-radius-bottomright:3px;
+-moz-border-radius-topleft:3px;
+-moz-border-radius-topright:3px;
+/*background:transparent url(img/content.png) no-repeat scroll center top;*/
+border:1px solid #000000;
+}
+	
+.content div.thumbnailCategory { 
+-moz-border-radius-bottomleft:12px;
+-moz-border-radius-bottomright:12px;
+-moz-border-radius-topleft:12px;
+-moz-border-radius-topright:12px;
+background: transparent url(img/content_index.png) no-repeat center top;
+border:1px solid #000000;   	
+}
+
+#theCommentsPage .content div.thumbnailCategory { 
+background: transparent url(img/content_com.png) no-repeat center top;
+}
+
+#comments ul.thumbnailCategories li { margin: 5px auto; }
+
+textarea { width: 100%; }
+
+/*=====================================
+            Miniatures
+=====================================*/
+.content ul.thumbnails span, .content ul.thumbnails span.wrap2 a,
+.content ul.thumbnails span.wrap2 label, .content div.thumbnailCategory div.illustration {
+  width: 167px;			/* max thumbnail width + 2px */
+}
+.content ul.thumbnails span.wrap2{ width: 172px; height:150px; }
+.content div.thumbnailCategory div.description { height: 100px; }		/* max thumbnail height + 2px */
+.content div.thumbnailCategory div.illustration img { height:96px; width:128px; }
+.content div.thumbnailCategory div.illustration a:hover { border:0; }
+
+.content div.comment blockquote {
+  margin-left: 172px;	/*maximum thumbnail width + ~10px */
+}
+.content div.thumbnailCategory div.description  p { text-align: left; margin-top:3px; }
+
+/*.content ul.thumbnails span.wrap1 { margin: 0 10px; }*/
+
+.content ul.thumbnails span.wrap2 img { padding: 5px; }
+
+.content ul.thumbnails span.wrap2 img:hover { border-color: #000000;}
+
+.content ul.thumbnails li.thumbCat span.wrap2 { border-style: hidden; background-color: #3F4A69; }
+.content ul.thumbnails li.thumbCat span.wrap2:hover { border-style: solid; }
+
+.content ul.thumbnails span.wrap1 {
+    -moz-border-radius:12px;
+	-khtml-border-radius:12px;
+	-webkit-border-radius:12px; 
+background: transparent url(img/backthumb.png) no-repeat center top;
+border:1px solid #000000; 
+display:inline-block;
+margin:0 5px 5px;
+text-align:center;
+vertical-align:top;
+}
+
+.content ul.thumbnails span.thumbLegend {
+/*    height: auto;*/
+    padding: 0.5em 0;
+}
+.zero { display: none }
+.nb-hits { color: #120087; }
+.nb-comments { color: #120087; }
+}
+
+/*=====================================
+            Menu
+=====================================*/
+
+#menubar { position: relative; z-index: 2; }
+.content { /*position: relative; z-index: 1;*/ }
+
+.content div.thumbnailCategory div.description {
+	overflow: hidden; /* bug in FF 1.0 (not 1.5) */
+}
+
+/*=====================================
+            Horizontal menubar
+=====================================*/
+#menubar{
+	float: none;
+	width: 898px;
+	margin: 5px auto;
+	border: none;
+	display: block;
+
+}
+
+body#theadminpage #menubar {
+	float: none;
+	width: 898px;
+	margin: 5px auto;
+	border: none;
+	display: block;
+}
+
+/*=====================================
+            Filter button
+=====================================*/
+#menubar .button { position: absolute; left:95% } 
+#menubar p, #menubar p.totalimages{ clear: both; margin: 0; text-align: center; padding: 0.2em }
+
+/*=====================================
+    Set menubar height (not for IE)
+=====================================*/
+#the_page > #menubar, body#theadminpage #the_page > #menubar {
+-moz-border-radius-bottomleft:5px;
+-moz-border-radius-bottomright:5px;
+-moz-border-radius-topleft:5px;
+-moz-border-radius-topright:5px;
+float:left;
+height:2.1em;
+margin-top:-62px;
+padding:19px;
+}
+#menubar dl>dt {
+  padding: 0.2em 0.4em; 
+}
+
+/*=====================================
+        General ul formating
+=====================================*/
+#menubar ul, #menubar dl, #menubar ul#menuTagCloud {
+  list-style: none;
+  margin: 0;
+  padding: 0;
+  float: left;
+text-decoration:none; 
+}
+#menubar dl { 
+/*border-right:1px solid #120087;*/
+display:inline;
+height:21px;
+padding:0 1.1em;
+}
+
+body#theadminpage #the_page > #menubar dl { padding: 0 0.5em;}
+
+#menubar ul li a {  padding-right: 3em; margin-left:25px;}
+
+#menubar p, #menubar p.totalimages, form#quickconnect {
+  clear: both;
+  margin: 0;
+  text-align: center;
+  padding: 0.2em;
+}
+
+/*=====================================
+        Titres et liens
+=====================================*/
+#menubar a, #menubar dt { display: block; }
+
+/*=====================================
+            Positionnement
+=====================================*/
+#menubar li { position: relative; background:transparent url(img/cat.png) no-repeat; margin-left:5px;}
+#menubar dd { position: absolute; z-index: 500;}
+#menubar dd ul ul {
+background-color:#FFFFFF;
+border:1px solid #8C8C8C;
+  position: absolute;
+  top: 0px;
+  left: 100%;
+  z-index: 500;
+}
+#menubar li span,#menubar li IMG { position: absolute; top: 7px;}
+#menubar li span { right: 7px;}
+#menubar li IMG { right:4em;	}
+
+/*=====================================
+Hiding and revealing up to 6 menu levels
+=====================================*/
+div#menubar dd,
+div#menubar ul ul,
+div#menubar ul li:hover ul ul,
+div#menubar ul ul li:hover ul ul,
+div#menubar ul ul ul li:hover ul ul,
+div#menubar ul ul ul ul li:hover ul ul { display: none; }
+
+div#menubar dl:hover dd,
+div#menubar ul li:hover ul,
+div#menubar ul ul li:hover ul,
+div#menubar ul ul ul li:hover ul,
+div#menubar ul ul ul ul li:hover ul,
+div#menubar ul ul ul ul ul li:hover ul { display: block; }
+
+/*=====================================
+            Styles
+=====================================*/
+#menubar{
+	color:#000000;
+	border:0px;
+}
+
+ #menubar dt{
+	color:#000000;
+	border:0px;
+} 
+ 
+ #menubar dd{
+background:#c588de url(img/bgmenu.png) repeat-y scroll 0 0;
+border:1px solid #000000;
+color:#000000;
+padding-top:0;
+} 
+ 
+ #menubar ul {
+	color:#000000;
+	width: 20em;
+
+}
+#menubar a, #menubar dt a, #menubar dd a { 
+border:0 none;
+color:#000000;
+display:block;
+text-decoration:none;
+}
+
+#menubar a:hover { color:#0000C4; }
+#menubar dd a { padding: 0.5em; }
+#menubar dd a:hover { color:#000000; background-color:#FFFFFF; border:1px solid #8c8c8c; }
+
+form#quicksearch { width: 220px;}
+	
+/*=====================================
+            Quickconnect
+=====================================*/
+form#quickconnect fieldset { text-align: left; width: 220px; padding-top: 5px;}
+form#quickconnect label { clear: left; /*margin: 0;*/ }
+form#quickconnect label input { font-size: 1em; /*width: 15em;*/ }
+form#quickconnect p, form#quickconnect a { border: none; padding: 0; }
+form#quickconnect .button { position:relative; top: -20x; left: 50px}
+
+/*=====================================
+            MenuTagCloud
+=====================================*/
+
+#menubar #menuTagCloud a { display: inline; }
+#menubar #menuTagCloud span {
+  display: block;
+  padding: 0.5em 0;
+  text-align: left;
+}
+
+/*=====================================
+         Tags - page des tags
+=====================================*/
+
+ul#fullTagCloud {
+	position: relative;
+	border: 1px solid #E8E8E8;
+	border-width: 1px 0;
+	background: #FBFBFB;
+	padding: 5px;
+	margin: 8px 0 20px 0;
+	overflow: hidden;
+	height: 100%;
+	font-size: 120%;
+}
+	ul#fullTagCloud li {
+		display: block;
+		float: left;
+		margin: 4px;
+		padding: 1px 5px;
+		height: 18px;
+		line-height: 18px;
+		background: none;
+	}
+	ul#fullTagCloud li a:link, ul#fullTagCloud li a:visited {
+		color: #005D99;
+		text-decoration: none;
+		white-space: nowrap;
+	}
+	ul#fullTagCloud li a:hover { text-decoration: underline; border: 0; }
+	ul#fullTagCloud li a:focus, ul#fullTagCloud li a:active { background: #005D99; color:#0000C4; }
+
+.tagLevel5 { font-size:160%; }
+.tagLevel4 { font-size:140%; }
+.tagLevel3 { font-size:120%; }
+.tagLevel2 { font-size:100%; }
+.tagLevel1 { font-size:80%; }
+
+/*=====================================
+            Autres
+=====================================*/
+.pleaseNote {
+	margin: 20px auto;
+	width: 700px;
+    background: #eee;
+    color: #ff9b00;
+	border: 1px solid #ff9b00;
+    padding: 1ex;
+    font-weight: bold;
+}
+
+li.categoryli {
+	float:left;
+	margin:2px;
+	width:46%;
+}
+
+input.rateButton { color: #369; }
+input.rateButtonselected { color:#696969; }
+input.rateButton:hover { color: #369;}
+
+/*=====================================
+            Calendrier
+=====================================*/
+
+ul.categoryactions, div.calendarViews {
+  padding-top: 5px;
+  padding-right: 6px;
+}
+
+/*=====================================
+           Calendrier éléments
+=====================================*/
+span.calitemEmpty { color: silver; }
+
+span.calitem, span.calitemEmpty { border: 1px solid gray; }
+
+/*=====================================
+        Nice looking month calendar
+=====================================*/
+td.calDayCellEmpty, td.calDayCellFull { border: 1px solid gray;}
+
+td.calDayCellEmpty { color: silver; }
+
+.calBackDate { color: #000; }
+.calForeDate { color:#0000C4; }
+
+/*=====================================
+        Footer/Pied de page
+=====================================*/
+#copyright {
+background:transparent url(img/footer.png) repeat-x scroll 0 0;
+clear:both;
+font-weight:bold;
+height:29px;
+margin:0 auto;
+padding:26px 0;
+text-align:center;
+}
+#copyright a:link, #copyright a:visited {  
+color:#793589;
+font-size:10px;
+}
+#copyright a:hover { 
+text-decoration: none; 
+color:#000000; 
+border: 0; }
+
+/*=====================================
+    Modifications/Parenté css
+=====================================*/
+
+body#theCommentsPage .content, 
+body#theUploadPage .content, 
+body#theRegisterPage .content, 
+body#theIdentificationPage .content, 
+body#theProfilePage .content, 
+body#theSearchPage .content, 
+body#theAboutPage .content, 
+body#thePopuphelpPage .content, 
+body#thePasswordPage .content, 
+body#theNotificationPage .content,
+body#theTagsPage .content, 
+body#theNBMPage .content {
+min-height:495px;
+}
+
+.content div.thumbnailCategory div.description h3 {
+background:transparent none repeat scroll 0 0;
+border:medium none;
+font-size:120%;
+margin:0;
+padding:0.1em;
+text-align:left;
+}
+
+/*----------------------------------
+    Advanced Menus Manager
+----------------------------------*/
+
+DL#mbAMM_links img {
+border:none;
+display:none;
+}
+div#iamm_ill0 {
+margin:0 25px 5px;
+}
+/*===============================
+      Infos Errors
+===============================*/
+.infos, .errors {
+  margin: 20px;
+}
+.infos {
+-moz-border-radius-bottomleft:12px;
+-moz-border-radius-bottomright:12px;
+-moz-border-radius-topleft:12px;
+-moz-border-radius-topright:12px;
+background:#B1E2AD url(img/infos.png) no-repeat scroll right top;
+border:1px solid #000000;
+color:#09460E;
+margin:5px;
+padding:10px 50px 10px 10px;
+min-height:30px;
+}
+
+.errors { 
+-moz-border-radius-bottomleft:12px;
+-moz-border-radius-bottomright:12px;
+-moz-border-radius-topleft:12px;
+-moz-border-radius-topright:12px;
+	color: #88181A;
+	font-weight: bold;
+	margin: 5px;
+border:1px solid #000000;
+	background:#FF9193 url(img/errors.png)no-repeat top right;
+	padding: 10px 50px 10px 10px;
+	min-height:30px;
+}
+
+/*----------------------------------
+            Autres
+----------------------------------*/
+
+.content ul.thumbnails {
+margin-top:15px;
+}
+
+div#comments div.description {
+-moz-border-radius-bottomleft:8px;
+-moz-border-radius-bottomright:8px;
+-moz-border-radius-topleft:8px;
+-moz-border-radius-topright:8px;
+background:transparent url(img/content.png) no-repeat center top;
+border:1px solid #000000;
+font-size:0.85em;
+font-weight:bold;
+line-height:1.5em;
+min-height:50px;
+padding:0 6px;
+}
+
+/*----------------------------------
+            Blocs/Boutons
+----------------------------------*/
+.content div.titrePage {
+margin-left:10px;
+width:957px;
+}
+
+.content div.titrePage ul.categoryActions {
+margin-top:3px;
+}
+
+legend {
+-moz-border-radius-bottomleft:12px;
+-moz-border-radius-bottomright:12px;
+-moz-border-radius-topleft:12px;
+-moz-border-radius-topright:12px;
+background:#AE9161 url(img/form.png) repeat-x scroll center top;
+border:1px solid #000000;
+font-size:0.85em;
+font-style:normal;
+font-weight:bold;
+line-height:1.5em;
+margin-left:0.5em;
+margin-top:-0.4em;
+padding:2px 10px;
+position:relative;
+text-transform:uppercase;
+top:0;
+vertical-align:middle;
+}
+
+fieldset, table.table2, #infos, .content div.comment a.illustration img {
+-moz-border-radius-bottomleft:12px;
+-moz-border-radius-bottomright:12px;
+-moz-border-radius-topleft:12px;
+-moz-border-radius-topright:12px;
+background:transparent url(img/content.png) no-repeat scroll center top;
+border:1px solid #000000;
+}
+
+input, select, textarea {
+background-color:#F5FBFF;
+border:1px solid #000000;
+color:#000000;
+font-family:"Lucida Grande","Lucida Sans Unicode",Verdana,'Bitstream Vera Sans',Times,serif;
+font-size:11px;
+padding:1px 2px;
+}
+
+input.reset:hover, input.submit:hover {
+border:1px solid #11365F;
+color:#793589;
+cursor:pointer;
+}
+
+input.submit:focus, select:focus, textarea:focus, input.focus, form .focus {
+border:1px solid #000000;
+background-color:none;
+}
+
+input[type="text"], 
+input[type="password"], 
+input[type="button"], 
+input[type="submit"], 
+input[type="reset"], 
+input[type="file"] {
+background-color:#F5F5F5;
+color:#552200;
+}
+
+input.submit{
+-moz-border-radius-bottomleft:5px;
+-moz-border-radius-bottomright:5px;
+-moz-border-radius-topleft:5px;
+-moz-border-radius-topright:5px;
+background:#A9CEE9 url(img/form.png) repeat-x scroll 0 0;
+border:1px solid #000000;
+color:#000000;
+font-family:Verdana,'Bitstream Vera Sans',Times,serif;
+font-size:10px;
+font-weight:bold;
+padding:1px 2px;
+}
+
+input.reset {
+-moz-border-radius-bottomleft:5px;
+-moz-border-radius-bottomright:5px;
+-moz-border-radius-topleft:5px;
+-moz-border-radius-topright:5px;
+background:#A9CEE9 url(img/form.png) repeat-x scroll 0 0;
+border:1px solid #000000;
+color:#E10000;
+font-family:Verdana,'Bitstream Vera Sans',Times,serif;
+font-size:10px;
+font-weight:bold;
+padding:1px 2px;
+}
+
+
+legend {
+-moz-border-radius-bottomleft:12px;
+-moz-border-radius-bottomright:12px;
+-moz-border-radius-topleft:12px;
+-moz-border-radius-topright:12px;
+background:#FFFFFF url(img/form.png) repeat-x scroll 0 0;
+border:1px solid #000000;
+color:#000000;
+font-size:0.85em;
+font-weight:bold;
+line-height:1.5em;
+margin-left:0.5em;
+margin-top:-0.4em;
+padding:2px 10px;
+position:relative;
+text-transform:uppercase;
+top:0;
+vertical-align:middle;
+}
+
+form.filter input[type="submit"] {
+margin-top:0;
+}
+
+span.calItem, span.calItemEmpty, td.calDayCellEmpty, td.calDayCellFull {
+border:1px solid #000000;
+}
+.content div.calendarViews {
+margin:8px 0 0;
+}
+
+.header_notes {
+background-image:none;
+border:medium none;
+font-weight:bold;
+margin:-9px;
+padding:5px 0 0;
+text-align:center;
+}
+
+.text{
+padding:5px 0 0;
+}
Index: /extensions/yoga/Borealis/BorealisPurple/themeconf.inc.php
===================================================================
--- /extensions/yoga/Borealis/BorealisPurple/themeconf.inc.php	(revision 4691)
+++ /extensions/yoga/Borealis/BorealisPurple/themeconf.inc.php	(revision 4691)
@@ -0,0 +1,14 @@
+<?php
+$themeconf = array(
+  'template' => 'yoga',
+  'template_dir' => 'template/yoga',
+  'theme' => 'BorealisPurple',
+  'icon_dir' => PHPWG_ROOT_PATH.'template/yoga/theme/BorealisPurple/icon',
+  'admin_icon_dir' => 'template/yoga/icon/admin',
+  'mime_icon_dir' => PHPWG_ROOT_PATH.'template/yoga/icon/mimetypes/',
+  'local_head' => '<!--[if lt IE 7]>
+  <link rel="stylesheet" type="text/css" href="'.PHPWG_ROOT_PATH.'template/yoga/theme/BorealisPurple/fix-ie5-ie6.css">
+<![endif]-->'
+);
+$lang['Theme: BorealisPurple'] = 'Thème BorealisPurple By Swan.';
+?>