Index: extensions/Tags2File/language/it_IT/index.php
===================================================================
--- extensions/Tags2File/language/it_IT/index.php	(revision 4704)
+++ extensions/Tags2File/language/it_IT/index.php	(revision 4704)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Tags2File/language/it_IT/plugin.lang.php
===================================================================
--- extensions/Tags2File/language/it_IT/plugin.lang.php	(revision 4704)
+++ extensions/Tags2File/language/it_IT/plugin.lang.php	(revision 4704)
@@ -0,0 +1,39 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['plugin_doc'] 		= 'Esporta le proprietà e i tags delle immagini dalla base dati verso un file batch. Questo file inserisce i tags nelle immagini usando i campi IPTC.';
+$lang['plugin_doc2']		= 'Due tools possono essere usati per il tagging, exiftool o exiv2. Il primo è più adatto e sopporta meglio l\'UTF-8. Invece il secondo è più rapido. Un file batch per ogni tools sarà attivato e generato. La directory del tools è opzionale e "automatico" se la variabile PATH è vuota';
+$lang['plugin_doc3']		= 'La directory di destinazione deve essere valida per la generazione degli scripts. È consigliato di cominciare dal modo test, con un file immagine copiata nella directory di destinazione, e per la quale l\'img_ID della dase dati è conoscuta (eseguire le dovute verifiche guardando la tabella image con per esempio phpmyadmin)';
+$lang['use_exiftool'] 		= 'Exiftool?';
+$lang['use_exiv2'] 		= 'Exiv2?';
+$lang['toolpath']		= 'Directory del eseguibile :';
+$lang['exportmetadata_dir'] 	= 'Directory di destinazione dello script';
+$lang['use_utf8'] 		= 'Coding UTF-8 (exiftool unicamente)? No=ANSI/Latin-1';
+$lang['multi_lang_desc'] 	= 'Come considerare il champo descrzione?';
+$lang['multi_lang_desc_all']	= 'Viene considerato il champo completo';
+$lang['whole']			= 'Il champo completo';
+$lang['current']		= 'La parte tra i tags lang per la lingua attuale';
+$lang['nb_file_to_tag']		= 'Numero di file immagini che possono essere taggati';
+$lang['test_mode']		= 'Modo test';
+$lang['test_img_id_lbl']	= 'Considerare solo l\'img_id seguente';
+?>