Index: extensions/Mail_supervisor/admin/mail_black_liste.tpl
===================================================================
--- extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 4452)
+++ extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 4715)
@@ -26,10 +26,10 @@
 <td><input type="checkbox" name="no_connect" value="on" {$no_connect} />&nbsp;&nbsp;{'no_connect'|translate}</td>
 <td><input type="checkbox" name="set_auto" value="on" {$set_auto} />&nbsp;&nbsp;{'set_auto'|translate}</td>
+<td><input type="checkbox" name="set_id" value="on" {$set_id} />&nbsp;&nbsp;{'set_id'|translate}</td>
 <tr><p></p><td>
 <input class="submit" type="submit" name="submit" value={'Valider'|translate} /></td></tr>
  </table>
 </fieldset>
-
-	    	<input name="info1" type="hidden" />
+<input name="info1" type="hidden" />
  <fieldset >
     <legend>{'black_liste'|translate}</legend>
Index: extensions/Mail_supervisor/admin/mail_superv_admin.php
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4452)
+++ extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4715)
@@ -88,6 +88,7 @@
 		if(!isset($pays)) Get_geo();
 		
-$mails_options = explode("," , $conf['mail_superv']);
-		if (!isset($mails_options[6])) $mails_options[6] = $ip ;
+$mails_options = explode("," , $conf['mail_superv']); 
+        if (!isset($mails_options[7])) $mails_options[7] = 'off' ; //set_id
+		if (!isset($mails_options[6])) $mails_options[6] = $ip   ;
 		if (!isset($mails_options[5])) $mails_options[5] = 'off' ;
 		if (!isset($mails_options[4])) $mails_options[4] = 'off' ;
@@ -366,4 +367,5 @@
       			$mails_options[4] = isset($_POST['no_connect']) ? $_POST['no_connect'] : "off" ;
       			$mails_options[5] = isset($_POST['set_auto']) ? $_POST['set_auto'] : "off" ;
+				$mails_options[7] = isset($_POST['set_auto']) ? $_POST['set_id'] : "off" ;
 				sauve_options();
 			    $infos_message .=  l10n('save_config') . '<br />';   
@@ -402,5 +404,5 @@
                         'no_connect' => ($mails_options[4] == 'on') ? 'checked="checked"' : '' ,
 						'set_auto' => ($mails_options[5] == 'on') ? 'checked="checked"' : '' ,
-						
+						'set_id' => ($mails_options[7] == 'on') ? 'checked="checked"' : '' ,
 						'IP' =>  $ip ,						
 						'PAYS' =>  $pays  ,
Index: extensions/Mail_supervisor/include/fonctions.php
===================================================================
--- extensions/Mail_supervisor/include/fonctions.php	(revision 4452)
+++ extensions/Mail_supervisor/include/fonctions.php	(revision 4715)
@@ -41,11 +41,6 @@
 global $lang ;
 
-
 include_once (MAIL_SUPERV_PATH.'include/function_test_send.php'); 
-
-
     load_language('plugin.lang', MAIL_SUPERV_PATH);
-
-
 global 	$superv_champs , $superv_type ,$superv_bl_champs , $superv_bl_type ; 
 	  
@@ -56,6 +51,11 @@
  if ( isset($mails_options) )
  	{
-	  if ( count($mails_options) > 6 ) 
+	 
+	 while ( count($mails_options) < 10 ) 
 	   {
+	  
+	      $mails_options[]='?';
+	   }
+	   
 		$valeurs = implode( ',',$mails_options);
 		$query = '
@@ -65,5 +65,5 @@
     		LIMIT 1';
  			pwg_query($query);
-	  }
+	  
 	}
 }
@@ -638,5 +638,5 @@
  
 if (count($mails_options) < 7 ) return false ;
-  Get_Geo();
+     Get_Geo();
      $champs=implode(',',$superv_bl_champs);
      $query = "
Index: extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4452)
+++ extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4715)
@@ -8,4 +8,5 @@
 $lang['no_connect'] = 'Empêche l\' adresse IP de se connecter au site.';
 $lang['set_auto'] = 'Enregistre automatiquement l\' adresse IP dans la liste noire si elle existe dans la base de données de "stopforumspam" .';
+$lang['set_id'] = 'Lors de l\'enregistrement du nouvel utilisateur, vérifie que l\' adresse mail n\'est pas dans la base de données de "stopforumspam" .';
 $lang['unset_black_list'] = 'Supprime de la liste noire';
 $lang['set_black_list'] = 'Mise sur la liste noire';
Index: extensions/Mail_supervisor/main.inc.php
===================================================================
--- extensions/Mail_supervisor/main.inc.php	(revision 4452)
+++ extensions/Mail_supervisor/main.inc.php	(revision 4715)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Mail supervisor
-Version: 1.2.9.a
+Version: 1.3.1
 Description: Mail supervisor surveille l'envoie des mails.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=315
@@ -79,5 +79,6 @@
 					);																	
 
-
+ global $conf ;
+ 
 add_event_handler('send_mail', 'clj_mail',EVENT_HANDLER_PRIORITY_NEUTRAL - 1 , 6);
 
@@ -347,11 +348,15 @@
 }
 
+	$mails_options = explode("," , $conf['mail_superv']);
+	 
 //==========================================================================================
+if ($mails_options[7]=='on'  ) {
  add_event_handler('register_user_check', 'Test_spam_g', EVENT_HANDLER_PRIORITY_NEUTRAL +2  , 2);
- 
+ }
 function Test_spam_g ($err, $user)
 {
+
+if (count($err)!=0 ) return $err ; 
 if ( !isset($_POST['submit_add']) && !isset($_POST['submit'])  ) return $err ; 
-if (count($err)!=0 ) return $err ; 
 //Liableelard
 include_once (MAIL_SUPERV_PATH.'include/fonctions.php');
@@ -363,4 +368,5 @@
 	$user_name = $user['username'];
 }
+$user_name ="";
  $ip='0'; 
 		if (test_spam($ip,$user_name ,$mail ))
@@ -371,4 +377,5 @@
 	  	    $err[] = $user_name . " : " .$mail . " ". l10n('is_a_spam')   ;
 		 }
+		 
 return $err ; 
 }
Index: extensions/Mail_supervisor/maintain.inc.php
===================================================================
--- extensions/Mail_supervisor/maintain.inc.php	(revision 4452)
+++ extensions/Mail_supervisor/maintain.inc.php	(revision 4715)
@@ -100,5 +100,5 @@
     $query = '
     INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
-    VALUES ("mail_superv","off,off,off,off,off,on,127.0.0.1,?? ,?? ,?? ","Parametres du plugin Mail superviseur")
+    VALUES ("mail_superv","off,off,off,off,off,on,127.0.0.1,on ,?? ,?? ","Parametres du plugin Mail superviseur")
     ;';
     pwg_query($query);