Index: /extensions/Juza/Juzabar.tpl
===================================================================
--- /extensions/Juza/Juzabar.tpl	(revision 4715)
+++ /extensions/Juza/Juzabar.tpl	(revision 4716)
@@ -1,5 +1,5 @@
 <table cellspacing="0" class="juzabar">
 <tbody><tr>
-<td>HOME PAGE</td>
+<td><a title="Juza home" href="http://www.juzaphoto.com/eng/photo_galleries.htm" target="_blank"><strong>REAL JUZA HOME</strong></a></td>
 <td>PORTFOLIO</td>
 <td><a title="Gallery home" href="{''|make_index_url}"><strong>GALLERIES</strong></a></td>
Index: /extensions/Juza/include/Juzaconfig.tpl
===================================================================
--- /extensions/Juza/include/Juzaconfig.tpl	(revision 4715)
+++ /extensions/Juza/include/Juzaconfig.tpl	(revision 4716)
@@ -28,11 +28,4 @@
           <span class="range">{'[-320:0]'|@translate}</span>
         </li>
-        <li>
-          <label>
-            <span class="property">{'Auto cropping and shifting'|@translate}</span>
-            <input type="checkbox" name="Juza_Auto_CS" {$Juza_Auto_CS}>
-            <span class="range">{'Inactive, maintain picture width &lt; 900px (Height is free)'|@translate}</span>
-          </label>
-        </li>
       </ul>
     </fieldset>
Index: /extensions/Juza/include/functions.inc.php
===================================================================
--- /extensions/Juza/include/functions.inc.php	(revision 4715)
+++ /extensions/Juza/include/functions.inc.php	(revision 4716)
@@ -86,12 +86,4 @@
 }
 
-function remove_AkBookStyle_handlers() {
-  global $public_content;
-  remove_event_handler('loc_begin_index_thumbnails', array($public_content, 'loc_begin_index_thumbnails'));
-  remove_event_handler('loc_end_index_thumbnails', array($public_content, 'loc_end_index_thumbnails'));
-  remove_event_handler('loc_begin_index', array($public_content, 'page_force'));
-  remove_event_handler('loc_end_picture', array($public_content, 'loc_end_picture'));
-}
-
 function Juza_update() {
   global $template, $conf, $user;
@@ -108,5 +100,4 @@
     $conf_Juza['Juza_shift'] = ($conf_Juza['Juza_shift'] > 0) ? 0 : $conf_Juza['Juza_shift'];
     $conf_Juza['Juza_shift'] = ($conf_Juza['Juza_shift'] < -320) ? 320 : $conf_Juza['Juza_shift'];
-    $conf_Juza['Juza_Auto_CS'] = isset($_POST['Juza_Auto_CS']) ? true:false;
     $conf['Juza Config'] = serialize($conf_Juza);
     $query = 'REPLACE INTO '.CONFIG_TABLE.'
@@ -138,5 +129,4 @@
   $template->assign('Juza_shift2', 150-$conf_Juza['Juza_height']);
   $template->assign('Juza_shift3', -(12+$conf_Juza['Juza_height']));
-  if ($conf_Juza['Juza_Auto_CS']) $template->assign('Juza_Auto_CS', 'checked="checked"');
 }
 function Juza_default() {
@@ -144,6 +134,5 @@
     'Juza_width'    => 885,
     'Juza_height'   => 240,
-    'Juza_shift'    => -160,
-    'Juza_Auto_CS'  => true,);
+    'Juza_shift'    => -160,);
 }
 ?>
Index: /extensions/Juza/script.tpl
===================================================================
--- /extensions/Juza/script.tpl	(revision 4715)
+++ /extensions/Juza/script.tpl	(revision 4716)
@@ -1,3 +1,2 @@
-  {*known_script id="jquery" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"*}
   {known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
   {known_script id="jquery.ui" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.core.packed.js"}
@@ -7,26 +6,27 @@
 <style type="text/css">
 .maxIllustration a {ldelim} max-height: {$Juza_height}px; height: {$Juza_height}px; width:{$Juza_width}px; }
-.bigImg {ldelim} top:{$Juza_shift}px; width:{$Juza_width}px !important; }
+.bigImg {ldelim} width:{$Juza_width}px !important; }
 #imageToolBar {ldelim} top:{$Juza_shift2}px; }
-.content ul.thumbnailCategories li.Juza-cat {ldelim} height:{$Juza_height2}px; min-height:{$Juza_height2}px; width: 100%; }
-.content div.thumbnailCategory div.Juza-desc {ldelim} height:{$Juza_height3}px !important; top:{$Juza_shift3}px; }
+.content ul.thumbnailCategories li.Juza-cat {ldelim} width: 100%; }
 </style>
-
+  {/html_head}
 <script type="text/javascript">
-$().ready(function() {ldelim}
+$('div.illustration a img').ready(function() {ldelim}
   $('div.illustration a img').each(function() {ldelim}
-    $(this).ready(function() {ldelim}
-      var $h = $(this).height();
-      {if isset($Juza_Auto_CS)}if ($h  < {$Juza_height}) /* Kill Auto crop */ {/if} {literal} {
-        var $i = ($h + 55)+'px';
-        var $j = ($h + 325)+'px';
-        var $k = ($h + 12)+'px';
-        var $h = $h+'px';
-        $(this).css('top', '0px');
-        $(this).parents('li').eq(0).addClass('Juza-cat').css('height', $i).css('min-height', $i).css('width','100%');
-        $(this).parents('li.Juza-cat').eq(0).find('.description').eq(0).css('height' , $j).css('top', '-'+$k).find('li').css('width','100%');
-        $(this).parents('.maxIllustration a').eq(0).css('height', $h);
-      };{/literal}
-    });
+    var $h = $(this).height();
+    $(this).css('top', '{$Juza_shift}px');
+    $(this).parents('li').eq(0).css('height', '{$Juza_height2}px').css('min-height', '{$Juza_height2}px');
+    $(this).parents('li').eq(0).find('div.description').eq(0).css('height' , '{$Juza_height3}px').css('top', '{$Juza_shift3}px').find('li').css('width','100%');
+    $(this).parents('.maxIllustration a').eq(0).css('height', '{$Juza_height}px');
+    if ($h  < {$Juza_height3+20})  {ldelim} /* Kill Auto crop */
+      var $i = ($h + 55)+'px';
+      var $j = ($h + 325)+'px';
+      var $k = ($h + 12)+'px';
+      var $h = $h+'px';
+      $(this).css('top', '0px');
+      $(this).parents('li').eq(0).css('height', $i).css('min-height', $i);
+      $(this).parents('li').eq(0).find('div.description').eq(0).css('height' , $j).css('top', '-'+$k).find('li').css('width','100%');
+      $(this).parents('.maxIllustration a').eq(0).css('height', $h);
+    }; /* Kill Auto crop */
   });
   var $h = $('#jquery_local_img #relTag').height() + 50 + {$Juza_width};
@@ -34,5 +34,5 @@
 });
 </script>
-  {/html_head}
+
 
 {if isset($thumbnails)}
@@ -60,5 +60,5 @@
 
 {if is_admin()}
-<div id="Juza_call" style="display:none"><a class="Juza_conf" href="#" alt="">{'Juza Theme Configuration'|@translate}</a>
+<div id="Juza_call" style="display:none"><a class="Juza_conf" href="#">{'Juza Theme Configuration'|@translate}</a>
 </div>
 {/if}
@@ -66,3 +66,2 @@
 {$MENUBAR}
 {assign var=MENUBAR value=''}
-
Index: /extensions/Juza/theme.css
===================================================================
--- /extensions/Juza/theme.css	(revision 4715)
+++ /extensions/Juza/theme.css	(revision 4716)
@@ -14,4 +14,5 @@
 .content div.thumbnailCategory div.description h3 { position:relative; top:10px; z-index:11; }
 .content div.thumbnailCategory div.description ul { margin: 10px 5px 5px 30px; }
+.content div.thumbnailCategory div.description.Juza-desc { he }
 /* .content ul.thumbnailCategories li { width:100%; }  Let user choice in case of noscript */
 .content ul.thumbnailCategories li.Juza-cat { margin:0 0 20px; height:auto; min-height:auto; }
@@ -20,4 +21,6 @@
 .content ul.thumbnails span.wrap2 { -moz-border-radius: 0; border-radius: 0; }
 .content ul.thumbnails span.wrap2 img.thumbnail { margin:auto; border: 1px solid #111; }
+.content div.thumbnailCategory div.Juza-desc ul { width:280px; }
+.content ul.thumbnailCategories div.Juza-desc li { width:280px; }
 #copyright { margin-top: 0px; }
 #copyright * { color: #383838; }
@@ -28,5 +31,5 @@
 div.illustration { overflow: hidden; }
 div.illustration img { border: 0; margin-left: 0px; }
-.bigImg { position:relative; top:0px; width:auto; }
+.bigImg { position:relative; width:auto; }
 img.icon[alt="(!)"] { display: none; }
 input.Juza_conf, a { color: #FB9700 !important }
@@ -59,4 +62,6 @@
 .maxIllustration a { overflow: hidden; display: block; position:relative; z-index:12; float:right; max-height: auto; height: auto; width:auto; }
 .middle_block h2, h2 { color: #6daa37; font-size:16px; text-align: center; } 
+#copyright a .Piwigo { color: #6daa37; }
+#copyright a:hover  .Piwigo { color: #ef5810; }
 .middle_block * { font-family:Verdana,Arial,Helvetica,sans-serif; font-size:11pt; text-align:left; }
 .content div.thumbnailCategory div.description p { display:none; }
Index: /extensions/Juza/themeconf.inc.php
===================================================================
--- /extensions/Juza/themeconf.inc.php	(revision 4715)
+++ /extensions/Juza/themeconf.inc.php	(revision 4716)
@@ -25,10 +25,9 @@
 $user['nb_image_page']= 7;
 load_language('lang', JUZA_PATH);
-/* No handlers at all or Open ? */
-if ($conf['enable_plugins'] and is_file(JUZA_PATH.'include/functions.inc.php')) { 
+/* No handlers or plugin handlers agreed */
+if ($conf['enable_plugins']) { 
   include_once(JUZA_PATH.'include/functions.inc.php');
   add_event_handler('loc_after_page_header', 'Juza_hook', 20);
   add_event_handler('blockmanager_apply', 'Juza_tags');
-  /* add_event_handler('init', 'remove_AkBookStyle_handlers', 50); */
 }
 ?>