Index: /extensions/pLoader/trunk/res/global_settings_wdr.pl
===================================================================
--- /extensions/pLoader/trunk/res/global_settings_wdr.pl	(revision 4737)
+++ /extensions/pLoader/trunk/res/global_settings_wdr.pl	(revision 4738)
@@ -16,5 +16,5 @@
 use Wx qw( wxID_OK wxID_APPLY wxID_SAVE wxID_SAVEAS wxID_CANCEL wxID_YES wxID_NO wxID_EXIT wxID_ABOUT wxID_HELP );
 use Wx qw( wxVERTICAL wxHORIZONTAL wxALL wxLEFT wxRIGHT wxTOP wxBOTTOM wxCENTRE wxGROW );
-use Wx qw( wxALIGN_RIGHT wxALIGN_BOTTOM wxALIGN_CENTER wxALIGN_CENTER_VERTICAL wxALIGN_CENTER_HORIZONTAL );
+use Wx qw( wxALIGN_RIGHT wxALIGN_BOTTOM wxALIGN_CENTER wxALIGN_CENTER_VERTICAL wxALIGN_CENTER_HORIZONTAL wxALIGN_LEFT wxALIGN_TOP);
 use Wx qw( wxST_NO_AUTORESIZE );
 
@@ -173,5 +173,5 @@
     
     my( $item12 ) = Wx::StaticText->new( $parent, $main::GS_SITE_IMG, "text", wxDefaultPosition, wxDefaultSize, 0 );
-    $item10->AddWindow( $item12, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+    $item10->AddWindow( $item12, 0, wxALIGN_LEFT|wxALIGN_TOP|wxALL, 5 );
 
     my( $item13 ) = Wx::BoxSizer->new( wxHORIZONTAL );
@@ -314,5 +314,5 @@
     $item31->Add( $item34, 0, wxALIGN_CENTER_VERTICAL, 5 );
 
-    $item0->Add( $item31, 0, wxALIGN_CENTER|wxALL, 5 );
+    $item0->Add( $item31, 0, wxALIGN_LEFT|wxALL, 5 );
 
     my( $set_size ) = @_ >= 3 ? $_[2] : 1;
Index: /extensions/pLoader/trunk/src/Uploader/GUI/wxGlobalSettings.pm
===================================================================
--- /extensions/pLoader/trunk/src/Uploader/GUI/wxGlobalSettings.pm	(revision 4737)
+++ /extensions/pLoader/trunk/src/Uploader/GUI/wxGlobalSettings.pm	(revision 4738)
@@ -42,4 +42,6 @@
             wxBITMAP_TYPE_PNG
             wxTheApp
+            wxBK_LEFT
+            wxHORIZONTAL
         /;
 use base qw/Wx::Dialog Uploader::GUI::DlgCommon/;
@@ -110,4 +112,8 @@
     }
 
+    # Force layout an paint : awful but works
+    $self->{cpane_hd}->Collapse(0);
+    $self->{cpane_hd}->Collapse(1);
+
     $self;    
 }
@@ -119,4 +125,5 @@
     
     Wx::Event::EVT_BUTTON( $self, $self->{gs_close}, \&OnClose );
+
 
 }
@@ -217,11 +224,7 @@
 sub GlobalSetting_ToolBook {
     my( $parent ) = $_[0];
-    my( $item0 ) = Wx::BoxSizer->new( wxVERTICAL );
-    
-    my( $item2 ) = Wx::Toolbook->new( $parent, $main::ID_NOTEBOOK, wxDefaultPosition, [-1,-1], wxBK_DEFAULT  );
-    my( $item1 ) = $item2;
-    if( Wx->VERSION < 0.21 ) {
-        $item1 = Wx::NotebookSizer->new( $item2 );
-    }
+    my( $topsizer ) = Wx::BoxSizer->new( wxVERTICAL );
+    
+    my( $tbook ) = Wx::Toolbook->new( $parent, $main::ID_NOTEBOOK, wxDefaultPosition, [-1,-1], wxBK_LEFT  );
 
     my $imgl = Wx::ImageList->new( 16, 16 );
@@ -233,23 +236,25 @@
     } qw/picture_edit.png pictures.png picture_key.png picture_go.png/;
 
-    $item2->AssignImageList($imgl);
-
-    my( $item3 ) = Wx::Panel->new( $item2, -1 );
+    $tbook->AssignImageList($imgl);
+
+    my( $item3 ) = Wx::Panel->new( $tbook, -1 );
     &main::GS_photo_properties( $item3, 0 );
-    $item2->AddPage( $item3, gettext("Photo properties"), 0, 0 );
-
-    my( $item4 ) = Wx::Panel->new( $item2, -1 );
+    $tbook->AddPage( $item3, gettext("Photo properties"), 0, 0 );
+
+    my( $item4 ) = Wx::Panel->new( $tbook, -1 );
     &main::GS_photo_preparation( $item4, 0 );
-    $item2->AddPage( $item4, gettext("Photo size"), 0, 1 );
-
-    my( $item5 ) = Wx::Panel->new( $item2, -1 );
+    $tbook->AddPage( $item4, gettext("Photo size"), 0, 1 );
+
+    my( $item5 ) = Wx::Panel->new( $tbook, -1 );
     &main::GS_photo_watermark( $item5, 0 );
-    $item2->AddPage( $item5, gettext("Watermark"), 0, 2 );
-
-    my( $item6 ) = Wx::Panel->new( $item2, -1 );
+    $tbook->AddPage( $item5, gettext("Watermark"), 0, 2 );
+
+    my( $item6 ) = Wx::Panel->new( $tbook, -1 );
     &main::GS_photo_transfer( $item6, 0 );
-    $item2->AddPage( $item6, gettext("Transfer"), 0, 3 );
-
-    $item0->Add( $item1, 0, wxALIGN_CENTER|wxALL, 5 );
+    $tbook->AddPage( $item6, gettext("Transfer"), 0, 3 );
+
+
+    $topsizer->Add( $tbook, 0, wxALIGN_CENTER|wxALL, 5 );
+
 
     my( $item87 ) = Wx::BoxSizer->new( wxVERTICAL );
@@ -261,18 +266,12 @@
     $item87->AddWindow( $item89, 0, wxALIGN_BOTTOM|wxALIGN_CENTER_HORIZONTAL|wxALL, 5 );
 
-    $item0->Add( $item87, 0, wxGROW|wxALIGN_CENTER_VERTICAL|wxALL, 5 );
-
-
-    my( $set_size ) = @_ >= 3 ? $_[2] : 1;
-    my( $call_fit ) = @_ >= 2 ? $_[1] : 1;
-    if( $set_size == 1 ) {
-         $_[0]->SetSizer( $item0 );
-         
-         if( $call_fit == 1 ) {
-             $item0->SetSizeHints( $_[0] );
-         }
-    }
-    
-    $item0;
+    $topsizer->Add( $item87, 0, wxGROW|wxALIGN_CENTER_VERTICAL|wxALL, 5 );
+
+
+    $_[0]->SetSizerAndFit( $topsizer );
+
+
+
+    $topsizer;
 }
 